Subject: Re: 27.0.50; harfbuzz branch fails to compile

From: Khaled Hosny <[email-masked]>
Date: Sat, 15 Dec 2018 12:32:17 +0200

On Sat, Dec 15, 2018 at 08:59:43AM +0200, Eli Zaretskii wrote:
> > Date: Sat, 15 Dec 2018 00:52:53 +0200
> > From: Khaled Hosny <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> > 
> > > The version of Harfbuzz I have on this machine is 0.9.27.  If this too old?  If so, what minimum version do I need to successfully build the branch?
> > 
> > Seems so. You can add configure.ac checks for hb_buffer_set_cluster_level
> > and use it conditionally, or require a newer HarfBuzz version. I prefer
> > the later, since the behaviour of cluster level 1 is assumed elsewhere
> > in the code (I don’t recall what exactly).
> 
> Which oldest version of HarfBuzz would you prefer us to require?  Is
> 0.9.42 OK, or do we need a newer one?

I’d prefer the latest version of course, there have been lots of bug
fixes and new features since then. If one is building his own HarfBuzz,
then definitely the latest version, otherwise the one that comes with
the system is good enough (Emacs wouldn’t be disadvantaged anymore than
any HarfBuzz-using application on the said system), as long as it has
the APIs we use.

Regards,
Khaled